FreeMat

- Main Page
- Related Pages

vtkRIBLight

Section: Visualization Toolkit Hybrid Classes

# Usage

vtkRIBLight is a subclass of vtkLight that allows the user to specify light source shaders and shadow casting lights for use with RenderMan.

To create an instance of class vtkRIBLight, simply invoke its constructor as follows

      obj = vtkRIBLight

# Methods

The class vtkRIBLight has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkRIBLight class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkRIBLight = obj.NewInstance ()`
- `vtkRIBLight = obj.SafeDownCast (vtkObject o)`
- `obj.ShadowsOn ()`
- `obj.ShadowsOff ()`
- `obj.SetShadows (int )`
- `int = obj.GetShadows ()`
- `obj.Render (vtkRenderer ren, int index)`